"use strict";
// Copyright 2018 Knowledge Expert SA
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("./base");
const lib_1 = require("../../lib");
/* tslint:disable:no-magic-numbers */
let originalDimensions;
const something = async (element) => { };
describe('Browser.resizeWindow', () => {
    beforeEach(async () => {
        originalDimensions = await base_1.driver.manage().window().getRect();
    });
    afterEach(async () => {
        await base_1.driver.manage().window().setRect(originalDimensions);
    });
    it('resizes window to provided width and height', async () => {
        await base_1.GIVEN.openedEmptyPage();
        await base_1.browser.resizeWindow(640, 480);
        expect((await base_1.driver.manage().window().getRect()).width).toBe(640);
        expect((await base_1.driver.manage().window().getRect()).height).toBe(480);
        await base_1.browser.perform(something).then(lib_1.perform.resizeWindow(800, 600));
        expect((await base_1.driver.manage().window().getRect()).width).toBe(800);
        expect((await base_1.driver.manage().window().getRect()).height).toBe(600);
    });
});
//# sourceMappingURL=browser.resize.test.js.map